#!/bin/bash
PACKAGE="laptop-mode-setup"
VERSION="0.1"

mkdir -p ./build/usr/share/$PACKAGE/
cp ../laptop-mode-setup ./build/usr/share/$PACKAGE/laptop-mode-setup
cp ../laptop-mode-setup.glade ./build/usr/share/laptop-mode-setup/laptop-mode-setup.glade

cd ../locales/
mofiles=`ls *.mo`
for mofile in $mofiles
do
	mo_lang=`echo $mofile | cut -d. -f1`
	mkdir -p ../deb/build/usr/share/locale/$mo_lang/LC_MESSAGES/
	cp $mofile ../deb/build/usr/share/locale/$mo_lang/LC_MESSAGES/$PACKAGE.mo
done

cd ../deb/

sudo chown -R root:root build
find ./build | sudo xargs chmod 755 
sudo dpkg-deb --build build

sudo apt-get -y remove $PACKAGE
sudo mv build.deb "$PACKAGE-$VERSION.deb"
sudo dpkg -i "$PACKAGE-$VERSION.deb"
sudo chown -R $USER ./

rm -r ./build/usr/share/$PACKAGE/
rm -r ./build/usr/share/locale/
